class 'l_09_Andreas_house' (PlayField)

function l_09_Andreas_house:__init(game_scene, name, path)
	PlayField.__init(self, game_scene, name, path)

	self.is_outdoor_scene = false
	self:linkScene('area_link_06',   'CursorDown',    '06_Town')
	

	self:entityHide('area_click_andrea_2','spade_handle','Layer_map_1','Layer_map_2')


	self.zoom_fathers_picture = self:createZoomZone('Fathers_picture')
	self.zoom_tool_rack = self:createZoomZone('Tool_rack')
	self.zoom_gramophone = self:createZoomZone('Gramophone')
	self.zoom_table = self:createZoomZone('Table')
	self.zoom_comics_father_1 = self:createZoomZone('Comics_Father_1', ZOOM_TYPE_VIDEO_CALL)

	do  -- find clock -----------------------------------------------------   
	    if not self:isObjectClicked('area_click_clock_7') then
	    	self:getEntityNamed('area_click_clock_7'):hide()
	        self.timer:add( function() 
                              	self:fadeGhostClock('clock_7', 'cover_clock_7', 'area_click_clock_7')
                            end, 35)   
	    end
	
        function on_click(event)
           	self:entityHide('clock_7')
            self:entityHide('area_click_clock_7')
            if not event.save then  
                self:entityFadeHide('cover_clock_7') 
            else 
                self:entityHide('cover_clock_7') 
            end
	    end
	    self:registerFindClockObject('area_click_clock_7', 'fly_clock_7', 'clock_7', on_click)
	end

	if not self:isComicsShown('Andrea_1') then
		self:entityHide('area_zoom_Gramophone','area_zoom_Fathers_picture','area_zoom_Table','area_zoom_Tool_rack')
	end

	do
		local function click_on_area_click_andrea_1(event)
			self:entityHide('area_click_andrea_1','compositionAndrea')	
			self:createComicsAndrea_1()
		end
		self:registerActiveObject('area_click_andrea_1', click_on_area_click_andrea_1, false, 'CursorGlass')
	end

	if IsToolFound('07_golden_eagle') then 
		--self:entityHide('area_zoom_Gramophone','area_zoom_Fathers_picture','area_zoom_Table','area_zoom_Tool_rack')
		self:entityShow ('area_click_andrea_2','compositionAndrea')
	end

	-- find photo ---------------------------------------------------------------
    do
        local function on_take_photo(event)    
           -- self:entityShow('')     
        end
        self:registerFindFlyPhoto('area_find_photo', '09_Andre', on_take_photo)
    end
    -- find photo ---------------------------------------------------------------


	do
		local function click_on_area_click_andrea_2(event)
			self:entityHide('area_click_andrea_2','compositionAndrea')
			self:createComicsAndrea_2()
		end
		self:registerActiveObject('area_click_andrea_2', click_on_area_click_andrea_2, false, 'CursorGlass')
	end

	-- clock BBT
	do
		self:registerBBT( 'area_click_clock_BBT', 'BBT_09_STRANGE_CLOCK' )
	end

end

--comics Andrea 2----------------------------------------------------------------------
function l_09_Andreas_house:createComicsAndrea_2()	
    local comics_name = 'Andrea_2'
    
    local comics_finish = function(save)

    	self:findTool('09_remote_control_button_1')
    	if not save then

        
        else
		end
    end
    
    if self:isComicsShown(comics_name, self.name) then
        comics_finish(true)
    else	
		local c = self:createComics(comics_name)

		c.on_finish = function()
			comics_finish(false)
		end       

		c:start()


    end
end

--comics Andrea 1----------------------------------------------------------------------
function l_09_Andreas_house:createComicsAndrea_1()	
    local comics_name = 'Andrea_1'
    
    local comics_finish = function(save)
    	self:entityHide('compositionLaura')
    	if not save then
			self:entityShow('area_zoom_Gramophone','area_zoom_Fathers_picture','area_zoom_Table','area_zoom_Tool_rack')
        
        else
		end
    end
    
    if self:isComicsShown(comics_name, self.name) then
        comics_finish(true)
    else	
		local c = self:createComics(comics_name)

		c.on_finish = function()
			comics_finish(false)
		end       

		c:start()


    end
end
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function l_09_Andreas_house:CreateLoaderTable()
	local objects =
	{
		{ name = 'Bg',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/Bg.jpg',  width = 1366,  height = 768,  },
		{ name = 'area_zoom_Fathers_picture',  entityType = 'SpriteEntity',  x = 47,  y = 136,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 200,  height = 200,  },
		{ name = 'area_zoom_Table',  entityType = 'SpriteEntity',  x = 127,  y = 425,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 200,  height = 200,  },
		{ name = 'Luchi',  entityType = 'SpriteEntity',  x = 724,  y = 219,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/Luchi.png',  width = 285,  height = 255,  },
		{ name = 'area_zoom_Gramophone',  entityType = 'SpriteEntity',  x = 801,  y = 314,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 200,  height = 200,  },
		{ name = 'area_zoom_Tool_rack',  entityType = 'SpriteEntity',  x = 1008,  y = 396,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 200,  height = 200,  },
		{ name = 'area_link_06',  entityType = 'SpriteEntity',  x = 512,  y = 718,  order = 100,  scaleX = 12,  scaleY = 2,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'Door',  entityType = 'SpriteEntity',  x = 510,  y = 303,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/Door.png',  width = 56,  height = 118,  },
		{ name = 'casket_cap_1',  entityType = 'SpriteEntity',  x = -50,  y = 168,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/casket_cap_1.png',  width = 150,  height = 22,  },
		{ name = 'casket_cap_2',  entityType = 'SpriteEntity',  x = -56,  y = 138,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/casket_cap_2.png',  width = 160,  height = 82,  },
		{ name = '09_Andreas_house_Anim_Bg',  entityType = 'CompositionContainer',  x = -171,  y = 0,  order = 1,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/09_Andreas_house/Anim/09_Andreas_house_Anim_Bg.lua',  },
		{ name = 'compositionBG',  entityType = 'CompositionSequence',  parentName = '09_Andreas_house_Anim_Bg',  x = 0,  y = 0,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'compositionPilka',  entityType = 'CompositionSequence',  parentName = '09_Andreas_house_Anim_Bg',  x = 0,  y = 0,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  isCyclic = true,  speed = 1,  },
		{ name = 'area_zoom_Comics_Father_1',  entityType = 'SpriteEntity',  x = 361,  y = 55,  order = 0,  isVisible = false,  isActive = false,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_click_andrea_1',  entityType = 'SpriteEntity',  x = 512,  y = 309,  order = 80,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 1366,  height = 618,  },
		{ name = 'area_click_andrea_2',  entityType = 'SpriteEntity',  x = 511,  y = 309,  order = 80,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 1366,  height = 618,  },
		{ name = 'area_click_clock_7',  entityType = 'SpriteEntity',  x = 970.892,  y = 137.379,  order = 10,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 50, y = 50},  width = 100,  height = 100,  },
		{ name = 'area_find_photo',  entityType = 'SpriteEntity',  x = 668,  y = 189,  order = 70,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'clock_7',  entityType = 'SpriteEntity',  x = 992.698,  y = 146.836,  order = 7,  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 57, y = 84},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/clock_09_loc.png',  width = 81,  height = 80,  },
		{ name = 'cover_clock_7',  entityType = 'SpriteEntity',  x = 972,  y = 148,  order = 8,  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 46, y = 71},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/cover_clock_09_loc.jpg',  width = 131,  height = 76,  },
		{ name = 'cover_cl_loc',  entityType = 'SpriteEntity',  x = 990,  y = 101,  order = 9,  angle = 11,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 61, y = 39.5},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/cover_cl_loc.png',  width = 122,  height = 79,  },
		{ name = 'fly_clock_7',  entityType = 'SpriteEntity',  x = 972.61,  y = 194.726,  order = 5,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 125, y = 125},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/fly_clock_7.png',  width = 250,  height = 250,  },
		{ name = 'tube',  entityType = 'SpriteEntity',  x = 841.128,  y = 246.6,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 33, y = 42},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/tube.png',  width = 66,  height = 84,  },
		{ name = 'spade_handle',  entityType = 'SpriteEntity',  x = 1015.41,  y = 327,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 31, y = 53},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/spade_handle.png',  width = 62,  height = 106,  },
		{ name = '09_Andreas_house_Anim_idles_Bg',  entityType = 'CompositionContainer',  x = -171,  y = 0,  order = 3,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/09_Andreas_house/Anim/09_Andreas_house_Anim_idles_Bg.lua',  },
		{ name = 'compositionAndrea',  entityType = 'CompositionSequence',  parentName = '09_Andreas_house_Anim_idles_Bg',  x = 28,  y = -12,  order = 8,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'compositionLaura',  entityType = 'CompositionSequence',  parentName = '09_Andreas_house_Anim_idles_Bg',  x = 64,  y = -3,  order = 0,  scale = 0.92,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'clock_layer',  entityType = 'SpriteEntity',  x = 660,  y = 245,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 51, y = 150},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/clock_layer.png',  width = 102,  height = 300,  },
		{ name = 'clock_layer_glass',  entityType = 'SpriteEntity',  parentName = 'clock_layer',  x = 1.79999,  y = -12.5997,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 20, y = 93},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/clock_layer_glass.png',  width = 40,  height = 186,  },
		{ name = 'clock_layer_ticket',  entityType = 'SpriteEntity',  parentName = 'clock_layer',  x = 3,  y = -20,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 10, y = 37},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/clock_layer_ticket.png',  width = 20,  height = 74,  },
		{ name = 'area_click_clock_BBT',  entityType = 'SpriteEntity',  parentName = 'clock_layer',  x = 7,  y = 4,  order = 100,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 290,  },
		{ name = 'clock_layer_arrow_1',  entityType = 'SpriteEntity',  parentName = 'clock_layer',  x = 5.72839,  y = -96.5186,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 3, y = 8},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/clock_layer_arrow_1.png',  width = 6,  height = 16,  },
		{ name = 'clock_layer_arrow_2',  entityType = 'SpriteEntity',  parentName = 'clock_layer',  x = 5.72839,  y = -82.5062,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 3, y = 7},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/clock_layer_arrow_2.png',  width = 6,  height = 14,  },
		{ name = 'Layer_map_1',  entityType = 'SpriteEntity',  x = 168,  y = 387,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/Layer_map_1.png',  width = 25,  height = 23,  },
		{ name = 'Layer_map_2',  entityType = 'SpriteEntity',  x = 194,  y = 386,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/Layer_map_2.png',  width = 33,  height = 20,  },
		{ name = 'Layer_map_3',  entityType = 'SpriteEntity',  x = 245,  y = 399,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 19, y = 10.5},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/Layer_map_3.png',  width = 38,  height = 21,  },
		{ name = 'Layer_book',  entityType = 'SpriteEntity',  x = 172,  y = 382,  order = 0,  scaleX = 1.09091,  scaleY = 1.05,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 33, y = 20},  texturePath = 'Data/Textures/Scenes/09_Andreas_house/Layers/Layer_book.png',  width = 66,  height = 40,  },
	}
	return objects
end
